Lock a content type
PUT
/api/content/management/types/{id}/lock
const url = 'https://example.com/api/content/management/types/example/lock';const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/content/management/types/example/lock \ --header 'Authorization: Bearer <token>'Locks a content type to prevent modifications. Requires the admin.types.lock permission.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Type ID
string
Responses
Section titled “Responses”Type locked successfully
Access denied
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}